Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 675896 - stops loading
: stops loading
: regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 8 Branch
: x86 All
: -- normal (vote)
: mozilla8
Assigned To: Tom Schuster [:evilpie]
: Jason Orendorff [:jorendorff]
: 675400 (view as bug list)
Depends on:
Blocks: 652771 675400
  Show dependency treegraph
Reported: 2011-08-02 03:57 PDT by Kemcy BEST
Modified: 2011-08-16 14:48 PDT (History)
10 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

v0 (2.93 MB, patch)
2011-08-02 08:46 PDT, Tom Schuster [:evilpie]
no flags Details | Diff | Splinter Review
v1 - the fix (2.93 MB, patch)
2011-08-02 12:09 PDT, Tom Schuster [:evilpie]
jwalden+bmo: review+
Details | Diff | Splinter Review
add UnicodeData (1.29 MB, patch)
2011-08-02 12:10 PDT, Tom Schuster [:evilpie]
jwalden+bmo: review+
Details | Diff | Splinter Review

Description Kemcy BEST 2011-08-02 03:57:15 PDT
User Agent: Mozilla/5.0 (X11; Linux i686; rv:8.0a1) Gecko/20110727 Firefox/8.0a1
Build ID: 20110727114959

Steps to reproduce:

I used to type Chinese on Linux computer (where I do not have admin rights to install input methods). The PC runs Ubuntu 10.04 LTS. I'm testing the nightly builds.

Actual results:

On a recent update of 8.0a1, I found fails to load.

1. Open
2. Check "Chinese (中文)" on the top and click the yellow button "Start Inputking" at the bottom.
3. A new window or tab should open.

Problem: this window (or tab) displays Please wait... forever.

Expected results:

This window (or tab) should finish loading and display an input field to type text.

works in

breaks in
Comment 1 Alice0775 White 2011-08-02 04:38:25 PDT
Confirmed on
Mozilla/5.0 (Windows NT 5.1; rv:8.0a1) Gecko/20110801 Firefox/8.0a1 ID:20110801030916

Pushlog in m-i

In local build( from m-i repro.)
build from a774533fbbf1 : displays Please wait... forever
build from 54b8ca3b0c7a : displays Please wait... forever
build from 0d37af9e506f : display an input field to type text

triggered by:
54b8ca3b0c7a	Tom Schuster — Bug 652771 - Update Unicode character support for space categorization, also somewhat for uppercase and lowercase (although these will only be fully fixed in followup bugs). r=jwalden. Further (lumped together to address interdependencies): Bug 672760 - Don't pass the EOF non-character to any of the Unicode character-categorization functions. r=jwalden
Comment 2 Alice0775 White 2011-08-02 04:47:19 PDT
An Error shown in Error Console as follows

Error: missing ( before formal parameters
Source File:
Line: 4, Column: 2256
Source Code:
Comment 3 Tom Schuster [:evilpie] 2011-08-02 05:09:29 PDT
Reduced testcase:
function key_down_英() {
The problem is that make_unicode does not parse "CJK Ideograph" eg.
4E00;<CJK Ideograph, First>;Lo;0;L;;;;;N;;;;;
9FCB;<CJK Ideograph, Last>;Lo;0;L;;;;;N;;;;;
Which U+82F1 (英) is part of, and these are apparently even valid identifiers, because they have the class (Lo).
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2011-08-02 07:22:52 PDT
Requesting tracking for this regression.
Comment 5 Tom Schuster [:evilpie] 2011-08-02 08:46:13 PDT
Created attachment 550090 [details] [diff] [review]

So after tracking this down, the fix is really easy, we just need to use the right flags for all characters in this code range. I built with this and it fixed this bug and bug 675400.

I really need to abstract a lot better, i am going to to this bug 672042 otherwise the code will get even more hostile.
Comment 6 Tom Schuster [:evilpie] 2011-08-02 12:09:37 PDT
Created attachment 550152 [details] [diff] [review]
v1 - the fix
Comment 7 Tom Schuster [:evilpie] 2011-08-02 12:10:24 PDT
Created attachment 550153 [details] [diff] [review]
add UnicodeData
Comment 8 Jeff Walden [:Waldo] (remove +bmo to email) 2011-08-03 16:08:22 PDT
Comment on attachment 550152 [details] [diff] [review]
v1 - the fix

Review of attachment 550152 [details] [diff] [review]:

::: js/src/tests/ecma_5/misc/unicode-identifier-1d17.js
@@ +15,5 @@
>  var o = {}
>  try {
>      eval('o.\\u1D17 = 42');
> +    eval('o.\\u82F1 = "hello world"');

Pedantically, these changes probably want to be in a new test file, but I don't think it really matters that much.
Comment 10 Marco Bonardo [::mak] 2011-08-06 03:01:20 PDT
Comment 11 Tom Schuster [:evilpie] 2011-08-08 04:54:07 PDT
*** Bug 675400 has been marked as a duplicate of this bug. ***
Comment 12 Kemcy BEST 2011-08-08 05:08:06 PDT
Thanks! Verified.

Note You need to log in before you can comment on or make changes to this bug.